API reference › Panchang & muhurat

Hora API (Planetary Hours)

Hora: the 24 planetary hours of a day

GET/v1/panchang/hora

1 credit · Secret or publishable key · getHora

The first hora of the day belongs to the weekday lord, then Chaldean order (Saturn, Jupiter, Mars, Sun, Venus, Mercury, Moon). Sunrise and sunset: upper limb, refracted.

Parameters

NameInTypeNotes
date requiredquerystring (date) e.g. "1990-08-13"
lat requiredquerynumber ≥ -90 · ≤ 90
lon requiredquerynumber ≥ -180 · ≤ 180

Response

JSON { data, meta, warnings }, where data is:

  • date string (date) required

    e.g. "1990-08-13"

  • sunrise string (date-time) required
  • sunset string (date-time) required
  • next_sunrise string (date-time) required
  • day array of object required
    • lord string required
    • start string (date-time) required
    • end string (date-time) required
  • night array of object required
    • lord string required
    • start string (date-time) required
    • end string (date-time) required

Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.

Example request

curl 'https://api.astrologics.in/v1/panchang/hora?date=2026-10-02&lat=28.6139&lon=77.209' \
  -H 'Authorization: Bearer al_test_YOUR_KEY'
Node.js
const res = await fetch("https://api.astrologics.in/v1/panchang/hora?date=2026-10-02&lat=28.6139&lon=77.209", {
  headers: { Authorization: "Bearer al_test_YOUR_KEY" },
});
console.log(JSON.stringify(await res.json(), null, 2));
Python
import json
import urllib.error
import urllib.request

req = urllib.request.Request(
    "https://api.astrologics.in/v1/panchang/hora?date=2026-10-02&lat=28.6139&lon=77.209",
    method="GET",
    headers={"Authorization": "Bearer al_test_YOUR_KEY"},
)
try:
    with urllib.request.urlopen(req) as res:
        print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
    print(err.code, err.read().decode())
PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/panchang/hora?date=2026-10-02&lat=28.6139&lon=77.209');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY'],
    CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;

Example response

200 OK · 3,491 characters
{
  "data": {
    "date": "2026-10-02",
    "sunrise": "2026-10-02T00:44:31.372Z",
    "sunset": "2026-10-02T12:36:11.739Z",
    "next_sunrise": "2026-10-03T00:45:03.133Z",
    "day": [
      {
        "lord": "venus",
        "start": "2026-10-02T00:44:31.372Z",
        "end": "2026-10-02T01:43:49.735Z"
      },
      {
        "lord": "mercury",
        "start": "2026-10-02T01:43:49.735Z",
        "end": "2026-10-02T02:43:08.099Z"
      },
      {
        "lord": "moon",
        "start": "2026-10-02T02:43:08.099Z",
        "end": "2026-10-02T03:42:26.463Z"
      },
      {
        "lord": "saturn",
        "start": "2026-10-02T03:42:26.463Z",
        "end": "2026-10-02T04:41:44.827Z"
      },
      {
        "lord": "jupiter",
        "start": "2026-10-02T04:41:44.827Z",
        "end": "2026-10-02T05:41:03.191Z"
      },
      {
        "lord": "mars",
        "start": "2026-10-02T05:41:03.191Z",
        "end": "2026-10-02T06:40:21.555Z"
      },
      {
        "lord": "sun",
        "start": "2026-10-02T06:40:21.555Z",
        "end": "2026-10-02T07:39:39.919Z"
      },
      {
        "lord": "venus",
        "start": "2026-10-02T07:39:39.919Z",
        "end": "2026-10-02T08:38:58.283Z"
      },
      {
        "lord": "mercury",
        "start": "2026-10-02T08:38:58.283Z",
        "end": "2026-10-02T09:38:16.647Z"
      },
      {
        "lord": "moon",
        "start": "2026-10-02T09:38:16.647Z",
        "end": "2026-10-02T10:37:35.011Z"
      },
      {
        "lord": "saturn",
        "start": "2026-10-02T10:37:35.011Z",
        "end": "2026-10-02T11:36:53.375Z"
      },
      {
        "lord": "jupiter",
        "start": "2026-10-02T11:36:53.375Z",
        "end": "2026-10-02T12:36:11.739Z"
      }
    ],
    "night": [
      {
        "lord": "mars",
        "start": "2026-10-02T12:36:11.739Z",
        "end": "2026-10-02T13:36:56.021Z"
      },
      {
        "lord": "sun",
        "start": "2026-10-02T13:36:56.021Z",
        "end": "2026-10-02T14:37:40.304Z"
      },
      {
        "lord": "venus",
        "start": "2026-10-02T14:37:40.304Z",
        "end": "2026-10-02T15:38:24.587Z"
      },
      {
        "lord": "mercury",
        "start": "2026-10-02T15:38:24.587Z",
        "end": "2026-10-02T16:39:08.870Z"
      },
      {
        "lord": "moon",
        "start": "2026-10-02T16:39:08.870Z",
        "end": "2026-10-02T17:39:53.153Z"
      },
      {
        "lord": "saturn",
        "start": "2026-10-02T17:39:53.153Z",
        "end": "2026-10-02T18:40:37.436Z"
      },
      {
        "lord": "jupiter",
        "start": "2026-10-02T18:40:37.436Z",
        "end": "2026-10-02T19:41:21.718Z"
      },
      {
        "lord": "mars",
        "start": "2026-10-02T19:41:21.718Z",
        "end": "2026-10-02T20:42:06.001Z"
      },
      {
        "lord": "sun",
        "start": "2026-10-02T20:42:06.001Z",
        "end": "2026-10-02T21:42:50.284Z"
      },
      {
        "lord": "venus",
        "start": "2026-10-02T21:42:50.284Z",
        "end": "2026-10-02T22:43:34.567Z"
      },
      {
        "lord": "mercury",
        "start": "2026-10-02T22:43:34.567Z",
        "end": "2026-10-02T23:44:18.850Z"
      },
      {
        "lord": "moon",
        "start": "2026-10-02T23:44:18.850Z",
        "end": "2026-10-03T00:45:03.133Z"
      }
    ]
  },
  "meta": {
    "request_id": "req_example",
    "api_version": "v1",
    "engine_version": "2026.10.10",
    "mode": "live",
    "credits_charged": 1
  },
  "warnings": []
}
Try it

Leave empty to use the shared demo key (limited). Test keys only: never charged. Kept in this browser tab and sent through this site to the API. Create one

More in Panchang & muhurat

Get a free API key Panchang & muhurat product page